# \

## Namespaces

Query

Namespace hierarchy
  \

## Functions

### array_zipper()

    array_zipper(array  $zipperInput) : array

Zip a set of arrays together on common keys

The $zipperInput array is an array of arrays indexed by their place in the output array.

#### Parameters

array | $zipperInput |

#### Returns

array

#

File

## Tags

package | Default

### db_filter()

    db_filter(array  $array, mixed  $index) : array

Filter out db rows into one array

#### Parameters

array | $array |
mixed | $index |

#### Returns

array

#

File

## Tags

package | Default

### mb_trim()

    mb_trim(string  $string) : string

Multibyte-safe trim function

#### Parameters

string | $string |

#### Returns

string

#

File

## Tags

package | Default

### Query()

    Query(string|object|array  $params = '') : \Query\QueryBuilder|null

Connection function

Send an array or object as connection parameters to create a connection. If the array or object has an 'alias' parameter, passing that string to this function will return that connection. Passing no parameters returns the last connection created.

#### Parameters

string|object|array | $params |

#### Returns

\Query\QueryBuilder|null

#

File

## Tags

package | Default

### regex_in_array()

    regex_in_array(array  $array, string  $pattern) : boolean

Determine whether a value in the passed array matches the pattern passed

#### Parameters

array | $array |
string | $pattern |

#### Returns

boolean

#

File

## Tags

package | Default

### to_camel_case()

    to_camel_case(string  $snakeCase) : string

Create a camelCase string from snake_case

#### Parameters

string | $snakeCase |

#### Returns

string

#

File

## Tags

package | Default